<meta http-equiv="Content-Type" content="text/html; charset=ISO-8859-1" /> 

<?php  
 //conexion a la base de datos
 include("conexionOdo.php");
 //echo "entra a header";
    
  //verifica la sesion correcta del usuario
  session_start();    
  $acceso = $_SESSION [ "acceso" ];   
  if ($acceso !=1){    
     header('Location: index.php');
  }
  $s_nitEmpresa = $_SESSION['nitEmpresa']; 
  $s_codSede    = $_SESSION['codSede'];
  $s_usuario    = $_SESSION['nombreUsuario'];
  $s_empresa    = $_SESSION['empresaUsuario'];
  $s_cargo      = $_SESSION['cargoUsuario'];
  $s_idUsuario  = $_SESSION['idUsuario'];
  
  
  //DEFAULT HORA EN BOGOTA;
  date_default_timezone_set("America/Bogota");
  $fecha =  date("Y/m/d H:i:s");

  /*
  //trae variables de entrada
  $s_lin = $_GET['lin'];
  $s_lin1 = $_POST['lin1'];
 
   echo "entra al header"; 
   echo "lin0...." . $s_lin; 
   echo '<br>';
   echo "lin1...." . $s_lin1;
  
  if ($s_lin!=""){
    $s_linea  = base64_decode($s_lin); 
    //PARTE LA LINEA
    $partir         = split ("-", $s_linea); 
  
    //Definicion de variables de entrada
    $s_nitEmpresa = $partir[0];
    $s_codSede    = $partir[1];
    $s_usuario    = $partir[2];
    $s_empresa    = $partir[3];
    $s_cargo      = $partir[4];
    $s_idUsuario  = $partir[5];
    $linea        = $partir[6];
  }
  else
  {
     $s_linea  = base64_decode($s_lin1); 
    //PARTE LA LINEA
    $partir         = split ("-", $s_linea); 
  
    //Definicion de variables de entrada
    $s_nitEmpresa = $partir[0];
    $s_codSede    = $partir[1];
    $s_usuario    = $partir[2];
    $s_empresa    = $partir[3];
    $s_cargo      = $partir[4];
    $s_idUsuario  = $partir[5];
    $linea        = $partir[6];
  }    
  */
  
  //adecua campos string para ser enviado por la url
  $s_usuarioSinESpacios = str_replace(" ","%20",$s_usuario);
  $s_usuaUrlCode = urlencode($s_usuario);
  $s_usuarioUrlDecode = urldecode($s_usuaUrlCode );
  $s_cargoSinESpacios = str_replace(" ","%20",$s_cargo);
  $s_cargoUrlCode = urlencode($s_cargo);
  $s_cargoUrlDecode = urldecode($s_cargoUrlCode );
  $s_empresaSinESpacios = str_replace(" ","%20",$s_empresa);
  $s_empresaUrlCode = urlencode($s_empresa);
  $s_empresaUrlDecode = urldecode($s_empresaUrlCode ); 
  
  //funciones de ayuda
  function cuantos($tabla, $consulta, $historia)
  { 
    $query = " SELECT COUNT(*) as cuantos FROM $tabla WHERE numConsulta = $consulta AND tipoHistoria='$historia' ";
   
    $result = mysql_query($query) or die('Consulta de cantidad 2: ' . $tabla .  mysql_error());
    $line = mysql_fetch_array($result, MYSQL_ASSOC);
    $ct = $line["cuantos"];
    // Liberar resultados
    mysql_free_result($result);
    // Cerrar la conexion
    //mysql_close($link);
    return $ct;  
  }
  
  function cuantosTmp($tabla, $temporal, $historia)
  { 
    $query = " SELECT COUNT(*) as cuantos FROM $tabla WHERE numTemporal = $temporal AND tipoHistoria='$historia' ";
    $result = mysql_query($query) or die('Consulta de cantidad 1 $tabla: ' . mysql_error());
    $line = mysql_fetch_array($result, MYSQL_ASSOC);
    $ct = $line["cuantos"];
    // Liberar resultados
    mysql_free_result($result);
    // Cerrar la conexion
    //mysql_close($link);
    return $ct;  
  }
  
  
  function cuantosOd($tabla, $consulta, $historia)
  { 
    //conexion a la base de datos
    include("conexion.php");
    $query = " SELECT COUNT(*) as cuantos FROM $tabla WHERE numConsulta = $consulta AND tipoHistoria='$historia' ";
    $result = mysql_query($query) or die('Consulta de cantidad 3 $tabla: ' . mysql_error());
    $line = mysql_fetch_array($result, MYSQL_ASSOC);
          
    $ct = $line["cuantos"];
          
    // Liberar resultados
    //mysql_free_result($result);
    return $ct;  
  }
  
  function paciente($tId, $Id)
  { 
   $query  = " SELECT nomPaciente, nomPaciente2, apell1Paciente, apell2Paciente, sexoPaciente FROM SIME_BAS_PACIENTE " .
                  "  WHERE idPaciente = $Id ";  
   $result   = mysql_query($query) or die('Consulta nombre de paciente fallida: ' . mysql_error());
   $line     = mysql_fetch_array($result, MYSQL_ASSOC);
   $paciente = "PACIENTE: " . $line['nomPaciente'] . " " . $line['nomPaciente2'] . " " . $line['apell1Paciente'] . " " . 
               $line['apell2Paciente']. "-". $line['sexoPaciente'] ;           
   // Liberar resultados
   mysql_free_result($result);
   return $paciente;  
  }
  
      
  //LOGOUT
  $le = "$s_idUsuario/DTO";
  $leDX = base64_encode($le);
    
?>  
  
<!DOCTYPE html>
<html lang="en">
 <head>
  <?php  
    //echo "<meta http-equiv='refresh' content='1800; URL=ctlLog.php?usu=$s_idUsuario&mod=DTO'>"; //1800 = 30 MINUTOS DE ESPERA
    //echo "<meta http-equiv='refresh' content='12700; URL=ctlLog.php?LDX=$leDX>'"; //12700 = 45 MINUTOS DE ESPERA
  ?>
  <meta http-equiv="Content-Type" content="text/html; charset=euc-jp">
  <link rel="stylesheet" href="estilos.css">
  <link rel="stylesheet" href="styles/style.css">
  <link rel="stylesheet" href="fonts/styleFont.css">
  <link rel="stylesheet" href="../health/iconmoon/style.css">
  
  <link rel="icon" type="image/png" href="imagenes/hdIcon.png" /> 
  
  <script src="SpryAssets/SpryTabbedPanels.js" type="text/javascript"></script>
  <script src="SpryAssets/SpryValidationPassword.js" type="text/javascript"></script>
  <script src="SpryAssets/SpryValidationConfirm.js" type="text/javascript"></script>
  <script src="SpryAssets/SpryValidationTextField.js" type="text/javascript"></script>
  <script src="SpryAssets/SpryCollapsiblePanel.js" type="text/javascript"></script>
  
  <link href="SpryAssets/SpryTabbedPanels.css" rel="stylesheet" type="text/css" />
  <link href="SpryAssets/SpryValidationPassword.css" rel="stylesheet" type="text/css" />
  <link href="SpryAssets/SpryValidationConfirm.css" rel="stylesheet" type="text/css" />
  <link href="SpryAssets/SpryValidationTextField.css" rel="stylesheet" type="text/css" />
  <link href="SpryAssets/SpryCollapsiblePanel.css" rel="stylesheet" type="text/css" />
   
  <title>Health Doc - SIO </title>   
  <script src="js/custom.js"></script> 
  <script src="js/funcHealt.js"></script> 
  <script language=JavaScript>
    function inhabilitar(){
    //alert ("Esta funcion esta inhabilitada.\n\nPerdonen las molestias.")
    return false
    }
    document.oncontextmenu=inhabilitar
  </script> 
  
  <!--//////////////////////////////////////////////////////
  /////////////////// INICIO DE FUNCIONES ///////////////// 
  //////////////////////////////////////////////////////-->
  <script>
     function validarSiNumero(numero){
       
       if (!/^([0-9])*[.]?[0-9]*$/.test(numero))
       //if (!/^([0-9])*$/.test(numero))
         {
           window.alert("El valor " + numero + " no es un numero");
           return false;
         }  
         else
         {
           return "ok";
         }
       }
       
      function calcularIndice(numero){    
          var pesoE  = document.getElementById("peso").value;  
          var tallaE = document.getElementById("talla").value;  
          var indiceE = 0;
          
          //if (pesoE >0 and tallaE >0)
          //{
           if (validarSiNumero(tallaE)=="ok")
           {
            indiceE = pesoE / (tallaE * tallaE);
            if (indiceE != "Infinity")
            {
            document.getElementById("indice").value=indiceE.toFixed(5);
            }
           }
          //}
       }   
       
      function isValidDate(day,month,year)
      {
        var dteDate;
        month=month-1;
        dteDate=new Date(year,month,day);
    
        //Devuelva true o false...
        return ((day==dteDate.getDate()) && (month==dteDate.getMonth()) && (year==dteDate.getFullYear()));
      }

      function validate_fecha(fecha)
      {
         var patron=new RegExp("^(19|20)+([0-9]{2})([-])([0-9]{1,2})([-])([0-9]{1,2})$");

          if(fecha.search(patron)==0)
          {
              var values=fecha.split("-");
              if(isValidDate(values[2],values[1],values[0]))
              {
                  return true;
              }
          }
          return false;
      } 
       
      function verFecUm()
      {
          var fecha=document.getElementById("fecUm").value;
          if(validate_fecha(fecha)==true)
          {
           return true;    
          }else{
                document.getElementById("fecUm").value=null;
                window.alert("LA FECHA DE LA ULTIMA MESTRUACION: " + fecha+ " ES INCORRECTA");
               //document.getElementById("result").innerHTML="La fecha "+fecha+" es incorrecta";
          } 
       }
       
      function verFecUc()
      {
          var fecha=document.getElementById("fecUc").value;
          if(validate_fecha(fecha)==true)
          {
           return true;    
          }else{
                document.getElementById("fecUc").value=null;
                window.alert("LA FECHA DE LA ULTIMA CITOLOGIA: " + fecha+ " ES INCORRECTA");
               //document.getElementById("result").innerHTML="La fecha "+fecha+" es incorrecta";
          }
       }   
       
        
      function verFecLab()
      {
          var fecha=document.getElementById("fecLab").value;
          if(validate_fecha(fecha)==true)
          {
           return true;    
          }else{
                document.getElementById("fecLab").value=null;
                window.alert("La fecha de los examenes de laboratorio : " + fecha+ " es incorrecta");
               //document.getElementById("result").innerHTML="La fecha "+fecha+" es incorrecta";
          }
       }   
         
 </script>   
 
  <!--//////////////////////////////////////////////////////
  /////////////////// FIN DE FUNCIONES ///////////////// 
  //////////////////////////////////////////////////////-->
</head>

<?php
 /////TRAE LOGO
 $logoEx = "imagenes/logos/logo".$s_nitEmpresa.".jpg"; 
 if (file_exists($logoEx)) {
     $logoPre=$logoEx;
 } else {
    $logoPre="imagenes/logo.jpg";
 }
 //src="imagenes/logo.jpg"
 /////FIN TRAE LOGO
?>

<body class="fondo" onload="nobackbutton();">
  <div id="general">
    <div id="logoEmp" align="left">
       <p></p>
       <input type="image" src=<?=$logoPre?> alt="Logo Compania" width="300" />       
     </div>
   
     <div class='bannerHd' align="right">
       <input type="image" src="imagenes/bannerDer.jpg" alt="Heath Doc" height="115"/>
     </div>
  </div>
 
  <div id="general1" align="center">
    <div align="left" style="font-size:11px; float:left;"><?=$s_empresaUrlDecode?></div>
 <div align="right" style="font-size:11px; right;">Usuario: <?=$s_usuarioUrlDecode?></div>     
  </div>
  
  <div id="perfil" align="left">
     <label>Perfil: <?=$s_cargoUrlDecode?></label> 
  </div>